Package tigase.xmpp.impl.roster

## Enum RosterAbstract.PresenceType

- java.lang.Object
- - java.lang.Enum<RosterAbstract.PresenceType>
  - - tigase.xmpp.impl.roster.RosterAbstract.PresenceType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RosterAbstract.PresenceType>`
  Enclosing class:
    RosterAbstract

      public static enum RosterAbstract.PresenceType
      extends java.lang.Enum<RosterAbstract.PresenceType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `error` |
    `in_initial` |
    `in_probe` |
    `in_subscribe` |
    `in_subscribed` |
    `in_unsubscribe` |
    `in_unsubscribed` |
    `out_initial` |
    `out_probe` |
    `out_subscribe` |
    `out_subscribed` |
    `out_unsubscribe` |
    `out_unsubscribed` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RosterAbstract.PresenceType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RosterAbstract.PresenceType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### out_initial

          public static final RosterAbstract.PresenceType out_initial

    - #### out_subscribe

          public static final RosterAbstract.PresenceType out_subscribe

    - #### out_unsubscribe

          public static final RosterAbstract.PresenceType out_unsubscribe

    - #### out_subscribed

          public static final RosterAbstract.PresenceType out_subscribed

    - #### out_unsubscribed

          public static final RosterAbstract.PresenceType out_unsubscribed

    - #### out_probe

          public static final RosterAbstract.PresenceType out_probe

    - #### in_initial

          public static final RosterAbstract.PresenceType in_initial

    - #### in_subscribe

          public static final RosterAbstract.PresenceType in_subscribe

    - #### in_unsubscribe

          public static final RosterAbstract.PresenceType in_unsubscribe

    - #### in_subscribed

          public static final RosterAbstract.PresenceType in_subscribed

    - #### in_unsubscribed

          public static final RosterAbstract.PresenceType in_unsubscribed

    - #### in_probe

          public static final RosterAbstract.PresenceType in_probe

    - #### error

          public static final RosterAbstract.PresenceType error

  - ### Method Detail

    - #### values

          public static RosterAbstract.PresenceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RosterAbstract.PresenceType c : RosterAbstract.PresenceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RosterAbstract.PresenceType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null